org.apache.cassandra.io.sstable.format

## Interface SSTableFormat

All Known Implementing Classes:
  BigFormat

    public interface SSTableFormat

Provides the accessors to data on disk.

### Nested Class Summary

Nested Classes
`static class` `SSTableFormat.Type`

### Field Summary

Fields
`static boolean` `enableSSTableDevelopmentTestMode`

### Method Summary

All Methods Instance Methods Abstract Methods
`RowIndexEntry.IndexSerializer<?>` `getIndexSerializer(CFMetaData cfm, Version version, SerializationHeader header)`
`Version` `getLatestVersion()`
`SSTableReader.Factory` `getReaderFactory()`
`Version` `getVersion(java.lang.String version)`
`SSTableWriter.Factory` `getWriterFactory()`

### Field Detail

#### enableSSTableDevelopmentTestMode

    static final boolean enableSSTableDevelopmentTestMode

### Method Detail

#### getLatestVersion

    Version getLatestVersion()

#### getVersion

    Version getVersion(java.lang.String version)

#### getWriterFactory

    SSTableWriter.Factory getWriterFactory()

#### getReaderFactory

    SSTableReader.Factory getReaderFactory()

#### getIndexSerializer

    RowIndexEntry.IndexSerializer<?> getIndexSerializer(CFMetaData cfm,
                                                        Version version,
                                                        SerializationHeader header)